function Enhanced_Fireball(shot)
CreateEffectAtCoords("TRAIL_SPARK_ORANGE_EFFECT",shot.pos.val_x+math.random(-0,0),shot.pos.val_y+math.random(-0,0),shot.pos.val_z+math.random(-0,0))
CreateEffectAtCoords("GLOW_ORANGE_EFFECTELEMENT",shot.pos.val_x+math.random(-0,0),shot.pos.val_y+math.random(-0,0),shot.pos.val_z+math.random(-0,0))
end
function Enhanced_Fireball_Explode(shot)
CreateEffectAtCoords("SPARK_ORANGE_EFFECT",shot.pos.val_x+math.random(-0,0),shot.pos.val_y+math.random(-0,0),shot.pos.val_z+math.random(-0,0))
CreateEffectAtCoords("FLASH_ORANGE_EFFECTELEMENT",shot.pos.val_x+math.random(-0,0),shot.pos.val_y+math.random(-0,0),shot.pos.val_z+math.random(-0,0))
end

function Enhanced_Drain_Flash(shot)
CreateEffectAtCoords("DRAIN_EFFECT_FLASH_EFFECTELEMENT",shot.pos.val_x+math.random(-0,0),shot.pos.val_y+math.random(-0,0),shot.pos.val_z+math.random(-0,0))
CreateEffectAtCoords("DRAIN_SPARK_EFFECT",shot.pos.val_x+math.random(-0,0),shot.pos.val_y+math.random(-0,0),shot.pos.val_z+math.random(-0,0))
end

function Enhanced_Lightning_Flash(shot)
CreateEffectAtCoords("LIGHTNING_SPARK_EFFECT_2",shot.pos.val_x+math.random(-0,0),shot.pos.val_y+math.random(-0,0),shot.pos.val_z+math.random(-0,0))
CreateEffectAtCoords("LIGHTNING_FLASH_EFFECT_EFFECTELEMENT",shot.pos.val_x+math.random(-200,200),shot.pos.val_y+math.random(-200,200),shot.pos.val_z+math.random(-200,200))
CreateEffectAtCoords("LIGHTNING_SPARK_EFFECT",shot.pos.val_x+math.random(-0,0),shot.pos.val_y+math.random(-0,0),shot.pos.val_z+math.random(-0,0))
CreateEffectAtCoords("LIGHTNING_EXPLOSION_EFFECT",shot.pos.val_x+math.random(-200,200),shot.pos.val_y+math.random(-200,200),shot.pos.val_z+math.random(-200,200))
end